#!/bin/bash

# 启动入口类，该脚本文件用于别的项目时要改这里
MAIN_CLASS=com.wanma.Start

# Java 命令行参数，根据需要开启下面的配置，改成自己需要的，注意等号前后不能有空格
export JAVA_HOME=/usr/java/jdk
export JRE_HOME=${JAVA_HOME}/jre
export CLASSPATH=.:${JAVA_HOME}/lib:${JRE_HOME}/lib
export PATH=${JAVA_HOME}/bin:$PATH

JAVA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,suspend=n,server=y,address=5555 -Xms1024m -Xmx2048m"

# 生成 class path 值
CP=.:/usr/local/tomcat8/webapps/dsssoserver/WEB-INF/lib/*

# 运行为后台进程，并且将信息输出到 logback.xml配置的日志文件位置
#nohup java -Xverify:none ${JAVA_OPTS} -cp ${CP} ${MAIN_CLASS}  >> /dev/null 2>&1 &
java -Xverify:none ${JAVA_OPTS} -cp ${CP} ${MAIN_CLASS}